5.3.0-git
2014-10-31

[#10065] Implement authentication driver stack in composite authentication
Summary Implement authentication driver stack in composite authentication
Queue Horde Base
Queue Version Git master
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester dom.lalot (at) gmail (dot) com
Created 2011-05-10 (1270 days ago)
Due
Updated 2011-05-20 (1260 days ago)
Assigned
Resolved
Milestone
Patch No

History
2011-05-20 13:44:50 Jan Schneider Comment #2
Summary ⇒ Implement authentication driver stack in composite authentication
State ⇒ Accepted
Version ⇒ Git master
Reply to this comment
A more general solution would be to allow stacks of authentication 
drivers in the composite driver. Or to even implement a separate stack 
authentication driver. This driver would try to authenticate the user 
against all sub-drivers until it succeeds.
Using a different authentication driver for RPC authentification is 
already possible by picking a driver configuration depending on 
$_SERVER['PHP_SELF'].
2011-05-20 13:38:59 Jan Schneider Queue ⇒ Horde Base
Version ⇒
 
2011-05-10 09:32:34 dom (dot) lalot (at) gmail (dot) com Comment #1
State ⇒ New
Patch ⇒ No
Milestone ⇒
Queue ⇒ Synchronization
Summary ⇒ auth driver should be choosen in config
Type ⇒ Enhancement
Priority ⇒ 1. Low
Reply to this comment
Hello,

Sometimes, using some auth drivers, rpc.php is enable to authenticate 
as the auth method is not supported. For example SSO systems like 
shibboleth that transmit only the username and don't send passwords to 
horde.
Then we should say:
rpc driver is something else as in composite driver.

http://permalink.gmane.org/gmane.comp.horde.user/24352

Thanks

Dom